<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>PhoneNumberValidator.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">testing</a> &gt; <a href="index.source.html" class="el_package">com.softwaretesting.testing.validator</a> &gt; <span class="el_source">PhoneNumberValidator.java</span></div><h1>PhoneNumberValidator.java</h1><pre class="source lang-java linenums">package com.softwaretesting.testing.validator;

import org.springframework.stereotype.Service;

@Service
<span class="fc" id="L6">public class PhoneNumberValidator {</span>

    public boolean validatePhoneNumber(String phoneNumber) {
<span class="fc" id="L9">        String regex = &quot;^(\\+49|0)\\d{8,11}&quot;;</span>

<span class="fc bfc" id="L11" title="All 2 branches covered.">        if (!phoneNumber.matches(regex)) {</span>
<span class="fc" id="L12">            throw new RuntimeException(&quot;Given Phone Number is not valid for Germany.&quot;);</span>
        }
<span class="fc" id="L14">        return true;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.10.202304240956</span></div></body></html>